document.addEventListener('DOMContentLoaded', () => {
  updateDateTime();
  setInterval(updateDateTime, 1000);

  const taskModal = document.getElementById('taskModal');
  const addTaskBtn = document.getElementById('addTask');
  const saveTaskBtn = document.getElementById('saveTask');
  const closeModalBtns = document.querySelectorAll('.close-modal');

  function updateDateTime() {
    const now = new Date();
    document.getElementById('currentDate').textContent = now.toLocaleDateString();
    document.getElementById('currentTime').textContent = now.toLocaleTimeString();
  }

  addTaskBtn.addEventListener('click', () => {
    taskModal.style.display = 'block';
  });

  closeModalBtns.forEach(btn => {
    btn.addEventListener('click', () => {
      taskModal.style.display = 'none';
    });
  });

  saveTaskBtn.addEventListener('click', () => {
    const title = document.getElementById('taskTitle').value;
    const description = document.getElementById('taskDescription').value;
    const progress = document.getElementById('taskProgress').value;

    if (title && description) {
      const taskElement = document.createElement('div');
      taskElement.className = 'task-item';
      taskElement.innerHTML = `
        <h4>${title}</h4>
        <p>${description}</p>
        <span class="progress">${progress}</span>
      `;
      document.getElementById('taskList').appendChild(taskElement);
      taskModal.style.display = 'none';
      
      // Clear inputs
      document.getElementById('taskTitle').value = '';
      document.getElementById('taskDescription').value = '';
      document.getElementById('taskProgress').value = '';
    }
  });

  // Save to localStorage
  function saveToLocalStorage() {
    const reflection = document.getElementById('reflectionInput').value;
    const tasks = document.getElementById('taskList').innerHTML;
    const problems = document.getElementById('problemList').innerHTML;
    
    const date = new Date().toLocaleDateString();
    const entry = { reflection, tasks, problems };
    
    let entries = JSON.parse(localStorage.getItem('worklog') || '{}');
    entries[date] = entry;
    localStorage.setItem('worklog', JSON.stringify(entries));
  }

  // Auto-save every minute
  setInterval(saveToLocalStorage, 60000);
});
